Update Agent
PUT
/api/v3/organizations/{organisation}/ai/agents/{agentId}
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/example/ai/agents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","group":"example","systemPrompt":"example","temperature":1,"modelId":"example","maxTokens":1,"allowedTools":["example"],"allowedCollections":["example"],"assignedSkills":["example"],"longContext":true,"guardrailPreset":"official","filterPolicies":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://dashboard.quantcdn.io/api/v3/organizations/example/ai/agents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "group": "example", "systemPrompt": "example", "temperature": 1, "modelId": "example", "maxTokens": 1, "allowedTools": [ "example" ], "allowedCollections": [ "example" ], "assignedSkills": [ "example" ], "longContext": true, "guardrailPreset": "official", "filterPolicies": [ "example" ] }'Updates an existing AI agent configuration. All fields except agentId, organizationId, createdAt, and createdBy can be updated.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
agentId
required
string format: uuid
The agent ID
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
description
string
group
string
systemPrompt
string
temperature
number
modelId
string
maxTokens
integer
allowedTools
Array<string>
allowedCollections
Array<string>
assignedSkills
Skill IDs to assign to this agent
Array<string>
longContext
Enable 1M context window support
boolean
guardrailPreset
Guardrail preset name
string
filterPolicies
Filter policy IDs to apply to this agent’s inference requests
Array<string>
Responses
Section titled “Responses”Agent updated successfully
Media typeapplication/json
object
success
boolean
agent
object
message
string
Example
{ "success": true, "message": "Agent updated successfully"}Invalid request parameters
Access denied
Agent not found
Failed to update agent
